#ifndef GRAPHICSNODE_HPP_INCLUDED
#define GRAPHICSNODE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class GraphicsNode : public Node
    {
        public:
            GraphicsNode(const void* Obj);

            GraphicsNode() = default;
            GraphicsNode(GraphicsNode&& Obj) = default;
            GraphicsNode(const GraphicsNode& Obj) = default;
            GraphicsNode& operator=(GraphicsNode&& Obj) = default;
            GraphicsNode& operator=(const GraphicsNode& Obj) = default;

            static Class GetClass();

            std::int32_t GetID() const;
            std::int32_t GetFrame() const;
            std::int32_t GetTick() const;
    };
}

#endif // GRAPHICSNODE_HPP_INCLUDED
