#ifndef KEYLISTEN_HPP_INCLUDED
#define KEYLISTEN_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class KeyListen : public Object
    {
        public:
            KeyListen(const void* Obj);

            KeyListen() = default;
            KeyListen(KeyListen&& Obj) = default;
            KeyListen(const KeyListen& Obj) = default;
            KeyListen& operator=(KeyListen&& Obj) = default;
            KeyListen& operator=(const KeyListen& Obj) = default;

            static Class GetClass();

            std::vector<std::int8_t> GetKeysPressed() const;
    };
}
#endif // KEYLISTEN_HPP_INCLUDED
