#ifndef MATRIX_HPP_INCLUDED
#define MATRIX_HPP_INCLUDED

#include "../JavaClass/Class.hpp"
#include <vector>

namespace Internal
{
    class Matrix : public Object
    {
        public:
            Matrix(const void* Obj);

            Matrix() = default;
            Matrix(Matrix&& Obj) = default;
            Matrix(const Matrix& Obj) = default;
            Matrix& operator=(Matrix&& Obj) = default;
            Matrix& operator=(const Matrix& Obj) = default;

            static Class GetClass();

            std::vector<float> GetValues() const;

    };
}

#endif // MATRIX_HPP_INCLUDED
