#ifndef MODELINFO_HPP_INCLUDED
#define MODELINFO_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class ModelInfo : public Object
    {
        public:
            ModelInfo(const void* Obj);

            ModelInfo() = default;
            ModelInfo(ModelInfo&& Obj) = default;
            ModelInfo(const ModelInfo& Obj) = default;
            ModelInfo& operator=(ModelInfo&& Obj) = default;
            ModelInfo& operator=(const ModelInfo& Obj) = default;

            static Class GetClass();

            std::int64_t GetHash() const;

    };
}

#endif // MODELINFO_HPP_INCLUDED
