#ifndef PLAYERUPDATER_HPP_INCLUDED
#define PLAYERUPDATER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>

namespace Internal
{
    class PlayerUpdater : public Object
    {
        public:
            PlayerUpdater(const void* Obj);

            PlayerUpdater() = default;
            PlayerUpdater(PlayerUpdater&& Obj) = default;
            PlayerUpdater(const PlayerUpdater& Obj) = default;
            PlayerUpdater& operator=(PlayerUpdater&& Obj) = default;
            PlayerUpdater& operator=(const PlayerUpdater& Obj) = default;

            static Class GetClass();

            std::int32_t GetPlayerCount() const;
            std::vector<std::int32_t> GetPlayerIndices() const;

    };
}

#endif // PLAYERUPDATER_HPP_INCLUDED
