#ifndef SKIN_HPP_INCLUDED
#define SKIN_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>
#include "SkinAnimation.hpp"

namespace Internal
{
    class Skin : public Node
    {
        public:
            Skin(const void* Obj);

            Skin() = default;
            Skin(Skin&& Obj) = default;
            Skin(const Skin& Obj) = default;
            Skin& operator=(Skin&& Obj) = default;
            Skin& operator=(const Skin& Obj) = default;

            static Class GetClass();

            std::vector<std::vector<std::int32_t>> GetList() const;
            std::vector<std::int32_t> GetTypes() const;
            SkinAnimation GetSkinAnimation() const;



    };
}

#endif // SKIN_HPP_INCLUDED
