#ifndef SKINANIMATION_HPP_INCLUDED
#define SKINANIMATION_HPP_INCLUDED

#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>
#include "SkinAnimationFrame.hpp"

namespace Internal
{
    class SkinAnimation : public Object
    {
        public:
            SkinAnimation(const void* Obj);

            SkinAnimation() = default;
            SkinAnimation(SkinAnimation&& Obj) = default;
            SkinAnimation(const SkinAnimation& Obj) = default;
            SkinAnimation& operator=(SkinAnimation&& Obj) = default;
            SkinAnimation& operator=(const SkinAnimation& Obj) = default;

            static Class GetClass();

            std::vector<SkinAnimationFrame> GetFrames() const;
            //std::int32_t GetIntField1() const;

    };
}

#endif // SKINANIMATION_HPP_INCLUDED
