#ifndef EXCHANGEOFFER_HPP_INCLUDED
#define EXCHANGEOFFER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class ExchangeOffer : public Object
    {
        public:
            ExchangeOffer(const void* Obj);

            ExchangeOffer() = default;
            ExchangeOffer(ExchangeOffer&& Obj) = default;
            ExchangeOffer(const ExchangeOffer& Obj) = default;
            ExchangeOffer& operator=(ExchangeOffer&& Obj) = default;
            ExchangeOffer& operator=(const ExchangeOffer& Obj) = default;

            static Class GetClass();

            std::int32_t GetAmountTraded() const;
            std::int32_t GetItemID() const;
            std::int32_t GetPrice() const;
            std::int8_t GetProgress() const;
            std::int32_t GetSpent() const;
            std::int32_t GetTotalAmount() const;

    };
}

#endif // EXCHANGEOFFER_HPP_INCLUDED
