#ifndef OCCLUDER_HPP_INCLUDED
#define OCCLUDER_HPP_INCLUDED

#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class Occluder : public Object
    {
        public:
            Occluder(const void* Obj);

            Occluder() = default;
            Occluder(Occluder&& Obj) = default;
            Occluder(const Occluder& Obj) = default;
            Occluder& operator=(Occluder&& Obj) = default;
            Occluder& operator=(const Occluder& Obj) = default;

            static Class GetClass();

            std::int32_t GetMaxTileX() const;
            std::int32_t GetMaxTileY() const;
            std::int32_t GetMinTileX() const;
            std::int32_t GetMinTileY() const;

    };
}

#endif // OCCLUDER_HPP_INCLUDED
