#ifndef SKINANIMATIONFRAME_HPP_INCLUDED
#define SKINANIMATIONFRAME_HPP_INCLUDED

#include "../JavaClass/Class.hpp"
#include <vector>
#include "Matrix.hpp"
#include <cstdint>

namespace Internal
{
    class SkinAnimationFrame : public Object
    {
        public:
            SkinAnimationFrame(const void* Obj);

            SkinAnimationFrame() = default;
            SkinAnimationFrame(SkinAnimationFrame&& Obj) = default;
            SkinAnimationFrame(const SkinAnimationFrame& Obj) = default;
            SkinAnimationFrame& operator=(SkinAnimationFrame&& Obj) = default;
            SkinAnimationFrame& operator=(const SkinAnimationFrame& Obj) = default;

            static Class GetClass();

            //std::vector<std::vector<float>> Get2DFloatField1() const;
            std::int32_t GetRedirectIndex() const;
            std::vector<Matrix> GetMatrices() const;

    };
}

#endif // SKINANIMATIONFRAME_HPP_INCLUDED
